
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_offerpricers_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for CurrencyListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="CurrencyListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Actual"/&amp;gt;
 *     &amp;lt;enumeration value="Conversion"/&amp;gt;
 *     &amp;lt;enumeration value="Display"/&amp;gt;
 *     &amp;lt;enumeration value="Requested"/&amp;gt;
 *     &amp;lt;enumeration value="Other"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "CurrencyListType")
@XmlEnum
public enum CurrencyListType {

    @XmlEnumValue("Actual")
    ACTUAL("Actual"),
    @XmlEnumValue("Conversion")
    CONVERSION("Conversion"),
    @XmlEnumValue("Display")
    DISPLAY("Display"),
    @XmlEnumValue("Requested")
    REQUESTED("Requested"),
    @XmlEnumValue("Other")
    OTHER("Other");
    private final String value;

    CurrencyListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static CurrencyListType fromValue(String v) {
        for (CurrencyListType c: CurrencyListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
